<?php
	session_start();
	$ruta="../../";
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/vadmejecutivo.php");
	$vadmejecutivo=new vadmejecutivo;
	include_once($ruta."class/grupo.php");
	$grupo=new grupo;
	include_once($ruta."class/ciclo.php");
	$ciclo=new ciclo;
	include_once($ruta."class/grupocredito.php");
	$grupocredito=new grupocredito;
	include_once($ruta."class/vgrupocredito.php");
	$vgrupocredito=new vgrupocredito;
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;
	include_once($ruta."class/personagrupo.php");
	$personagrupo=new personagrupo;
	include_once($ruta."class/persona.php");
	$persona=new persona;
	include_once($ruta."class/tipobanca.php");
	$tipobanca=new tipobanca;
	include_once($ruta."class/miempresa.php");
	$miempresa=new miempresa;
	include_once($ruta."class/usuario.php");
	$usuario=new usuario;
	include_once($ruta."funciones/funciones.php");
	include($ruta."recursos/qr/qrlib.php");
	require_once '../../recursos/pdf/mpdf/vendor/autoload.php';

	/******************    SEGURIDAD *************/
	extract($_GET);
	//********* SEGURIDAD GET *************/

	$user=dcUrl($lblcode);
	$idadmeje=dcUrl($lblcode2);
	$fechaactual=date('Y-m-d');
    $horaactual=date('H:i:s');

$MesInforme= date("Y-m-t",strtotime($fechaini));

if ($tipo==1) 
{
	if ($idadmeje==0) 
	{ 
	    $consulta2="SELECT *
		                from vgrupocredito 
		                where activo=1 and fechacierre BETWEEN '$fechaini' AND '$fechafin' and estado=1 ORDER BY fechacierre ASC";
	}else{
	    $consulta2="SELECT *
		                from vgrupocredito 
		                where activo=1 and idadmejecutivo=$idadmeje and fechacierre BETWEEN '$fechaini' AND '$fechafin' and estado=1 ORDER BY fechacierre ASC";
	}
	 $titulo= $fechaini." a ".$fechafin;    
	}

	if ($tipo==2) 
	{
	if ($idadmeje==0) 
	{ 
	    $consulta2="SELECT *
	                from vgrupocredito
	                where activo=1 and fechacierre='$fechaini' and estado=1 ORDER BY fechacierre ASC";
	}else{
	    $consulta2="SELECT *
	                from vgrupocredito
	                where activo=1 and idadmejecutivo=$idadmeje and fechacierre='$fechaini' and estado=1 ORDER BY fechacierre ASC";
	}
	 $titulo= $fechaini;
   
}

	$cred=$grupocredito->muestra($valor);
	$gr=$grupo->muestra($cred['idgrupo']);

	$per=$persona->mostrarPrimero("idpersona=".$cred['idpersona']);
	$rutaImg=$ruta."imagenes/logo.png";
	$demp=$miempresa->muestra(1);

	$dus=$usuario->muestra($user);
	//$tba=$tipobanca->muestra($cred['idtipobanca']);
	//$eje=$vadmejecutivo->muestra($gr['idadmejecutivo']);
	//$ddom=$dominio->muestra($cred['frecuenciapago']);
	//$cuotacobrar=$cred['cuota']+1;
	//$canTCred=$credito->mostrarTodo("idgrupocredito=".$valor);

	$defaultConfig = (new Mpdf\Config\ConfigVariables())->getDefaults();
	$fontDirs = $defaultConfig['fontDir'];
	$defaultFontConfig = (new Mpdf\Config\FontVariables())->getDefaults();
	$fontData = $defaultFontConfig['fontdata'];

	//$consulta="SELECT sum(cuenta)  as 'maximo' FROM admcontrato where idsede=1";
	//$dcont=$credito->sql($consulta);
	//$dcont=array_shift($dcont);


	$mpdf = new \Mpdf\Mpdf([
			'fontDir' => array_merge([
		        $ruta.'recursos/font/titilium',
		    ]),
		    'fontdata' => $fontData + [
		        'frutiger' => [
		            'R' => 'TitilliumWeb-Regular.ttf',
		            'I' => 'TitilliumWeb-Italic.ttf',
		        ]
		    ],
		    'default_font' => 'frutiger',
		    'mode' => 'utf-8',
		    'margin_header' => 5, 
		    'margin_top' => 30, 
		    'orientation' => ''
		]
	);
$header='
	<table style="width:100%; font-size:12px; text-align:center;"  align="center">
        <tr >
            <td style="width:30%;" class="letras">
              <center>
                <img style="width:240px;" src="'.$rutaImg.'" ><br>
              </center>
            </td>
            <td style="width:30%;">
	            <table class="titREP" width="100%" align="center">
	            <tr>
	            	<td>
	            		<div class="titSUB">I N F O R M E</div>
	            		<div class="titPRI"><h3>DE CARTERA VIGENTE </h3></div>
	            		<div class="titPRI"><h3>Al '.obtenerFechaLetra($MesInforme).'</h3></div>
	            		<div class=""><h5> '.$titulo.'</h5></div>
	            	</td>
	            </tr>
	            </table>
            </td>
            <td style="width:30%;">
	            <table border="0">
	              <tr>
	                <td>
	                  <table class="letras" cellpadding="2">
	                    <tr>
	                      <td align="right">
	                        FECHA ACTUAL:
	                      </td>
	                      <td align="left">
	                        <b>'.$fechaactual.'</b>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td align="right">
	                        HORA ACTUAL:
	                      </td>
	                      <td align="left">
	                        <b>'.$horaactual.'</b>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td align="right">
	                        Usuario:
	                      </td>
	                      <td align="left">
	                        <b>'.$dus['usuario'].'</b>
	                      </td>
	                    </tr>
	                  </table>
	                </td>
	              </tr>
	            </table>                     
            </td>
	  	</tr>
	</table>
	';

	$html = '
		<table class="tablaLIST">
			<thead>
				<tr>
				  <th>Cod.Grupo</th>
				  <th>Ciclo</th>
				  <th>Asesor</th>
				  <th>Grupo</th>
				  <th>Integrantes</th>
				  <th>Capital</th>
				  <th>Fecha desembolso</th>				  
				  <th>Fecha cierre</th>
				  <th>Estado</th>
				</tr>
			</thead>
			<tbody>
				';
				
				//foreach($credito->mostrarTodo("idgrupocredito=".$valor) as $f) 
				foreach($vgrupocredito->sql($consulta2) as $f) 
				{
					$idgc=$f['idvgrupocredito'];
                      $dgr=$grupo->muestra($f['idgrupo']);
                      $tba=$tipobanca->muestra($f['idtipobanca']);
                      switch ($f['estado']) {
                        case '0':
                          $estilo="background-color: #FDEDEC;";
                        break;
                        case '1':
                          $estilo="";
                        break;
                      }
                      $eje=$vadmejecutivo->muestra($dgr['idadmejecutivo']);
                      $consulta="SELECT count(montoOT)  as 'cantidad',sum(montoOT) as capital FROM credito where idgrupocredito=$idgc and activo=1";
                      $dcont=$credito->sql($consulta);
                      $dcont=array_shift($dcont);
					$html = $html.'
						<tr style="'.$estilo.'">
						  <td>'.$dgr['idgrupo'].'</td>
						  <td>'.$dgr['idciclo'].'</td>
						  <td>'.$eje['nombre'].' '.$eje['paterno'].' '.$eje['materno'].'</td>
						  <td>'.$dgr['nombre'].'</td>
						  <td>'.$dcont['cantidad'].'</td>

						  <td style="background-color:#E7FDEC; text-align:right;">'.$dcont['capital'].'</td>
						  <td style="text-align:center;">'.$f['fechadesembolso'].'</td>

						  <td style="text-align:center;">'.$f['fechacierre'].'</td>
						  <td>'.devuelveEstado($f['estadocredito']).'</td>
						</tr>
					';
					//$nro++;
					$totalcapital=$totalcapital+$dcont['capital'];
				}
				//$formula="";
				$bonocartera=($totalcapital*$porcentaje)/100;
				$html = $html.'
			</tbody>
		  <tfoot>
		    <tr>
		    <td colspan="5"></td>
		      <td colspan="1" style="text-align:right;">'.$totalcapital.'</td>
		      <td colspan="2"></td>
		    </tr>
		  </tfoot>
		</table><br>

		<table class="" style="width:100%;">
			<thead>
				<tr>
				  <th style="width:20%;"></th>
				  <th  style="width:60%;"></th>
				  <th  style="width:20%;"></th>
				</tr>
			</thead>
			<tbody>
			<tr>
				  <td></td>
				  <td>
				  	<table class="tablaLIST">
								<thead>
									<tr>
									  <th style="width:70%; text-align:right;">Descripción</th>
									  <th style="width:30%; text-align:right;">Monto Bs.</th>
									</tr>
								</thead>
								<tbody>
								    <tr>
									  <td style="text-align:right;">TOTAL CARTERA VIGENTE</td>
									  <td style="text-align:right;">'.number_format($totalcapital, 2, '.', '').'</td>
									</tr>
									<tr>
									  <td style="text-align:right;">BONO CARTERA</td>
									  <td style="text-align:right;">'.round($bonocartera, 2).'</td>
									</tr>
									<tr>
									  <td style="text-align:right;">BONO LLAMADA</td>
									  <td style="text-align:right;">'.$llamada.'</td>
									</tr>
									<tr>
									  <td style="text-align:right;">BONO PRODUCCIÓN</td>
									  <td style="text-align:right;">'.$produccion.'</td>
									</tr>
									 ';
							  	       $bonototal=$bonocartera+$llamada+$produccion;
								$html = $html.'
							    </tbody>
							  <tfoot>							 
							    <tr>
							      <td colspan="1"  style="text-align:right"><b>TOTAL BONO<b></td>
							       <td colspan="1" style="text-align:right"><b>'.round($bonototal, 2).'</b></td>
							    </tr>
							  </tfoot>
							</table>
				  </td>
				  <td></td>
				</tr>
		    </tbody>
		  <tfoot>
		    <tr>
		      <td colspan="3"></td>
		    </tr>
		  </tfoot>
		</table><br>				
		
	';
	//==============================================================
	//==============================================================
	//==============================================================

	//$mpdf->SetDisplayMode('fullpage');

	$stylesheet = file_get_contents($ruta.'recursos/css/elisyam-1.5.css');
	$mpdf->WriteHTML($stylesheet,1); // The parameter 1 tells that this is css/style only and no
	$mpdf->SetHTMLFooter('
	<table width="100%">
	    <tr>
	        <td width="33%"></td>
	        <td width="33%" align="center"></td>
	        <td width="33%" style="text-align: right;">{PAGENO}/{nbpg}</td>
	    </tr>
	</table>');
	$mpdf->SetHeader($header,50);
	$mpdf->WriteHTML($html);
	$mpdf->Output();

?>
